import { Host, h } from "@stencil/core";
import { ToolsThemeProviderBrandEnum } from "./tools-theme-provider.brand.enum";
/**
 * @slot default - Kan innehålla vad som helst
 * @swedishName Temaväljare
 * @new
 */
export class ToolsThemeProvider {
    constructor() {
        this.afBrand = ToolsThemeProviderBrandEnum.AF25;
    }
    get cssModifiers() {
        return {
            'digi-tools-theme-provider--af25': this.afBrand === ToolsThemeProviderBrandEnum.AF25,
            'digi-tools-theme-provider--af18': this.afBrand === ToolsThemeProviderBrandEnum.AF18
        };
    }
    render() {
        return (h(Host, { key: 'ea641f5e6e5aa1b5773379eab9b0ac7a05046219' }, h("div", { key: '47dc9d5af5c2feba803abcd5528752175db05aa2', class: this.cssModifiers }, h("slot", { key: '649983222239f7c166de7ad65b4e039c0e8516d8' }))));
    }
    static get is() { return "digi-tools-theme-provider"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["tools-theme-provider.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["tools-theme-provider.css"]
        };
    }
    static get properties() {
        return {
            "afBrand": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "ToolsThemeProviderBrandEnum",
                    "resolved": "ToolsThemeProviderBrandEnum.AF18 | ToolsThemeProviderBrandEnum.AF25",
                    "references": {
                        "ToolsThemeProviderBrandEnum": {
                            "location": "import",
                            "path": "./tools-theme-provider.brand.enum",
                            "id": "src/components/_tools/tools-theme-provider/tools-theme-provider.brand.enum.ts::ToolsThemeProviderBrandEnum"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "en",
                            "text": "Change theme for underlying components"
                        }],
                    "text": "\u00C4ndrar tema p\u00E5 underliggande komponenter"
                },
                "getter": false,
                "setter": false,
                "attribute": "af-brand",
                "reflect": false,
                "defaultValue": "ToolsThemeProviderBrandEnum.AF25"
            }
        };
    }
}
